-- ------------------------------------------------------------------------------ --
--                                TradeSkillMaster                                --
--                          https://tradeskillmaster.com                          --
--    All Rights Reserved - Detailed license information included with addon.     --
-- ------------------------------------------------------------------------------ --

local LibTSMUtil = select(2, ...).LibTSMUtil
local Reactive = LibTSMUtil:Init("Reactive")
local ReactiveStateSchema = LibTSMUtil:IncludeClassType("ReactiveStateSchema")
local ReactiveStream = LibTSMUtil:IncludeClassType("ReactiveStream")



-- ============================================================================
-- Module Methods
-- ============================================================================

---Creates a new state schema object.
---@return ReactiveStateSchema
function Reactive.CreateStateSchema()
	return ReactiveStateSchema.Create()
end

---Creates a new stream object.
---@return ReactiveStream
function Reactive.CreateStream()
	return ReactiveStream.Create()
end
